Bug 9909 - Broken python shebang e.g. in samba_dnsupdate
Broken python shebang e.g. in samba_dnsupdate
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Python
4.0.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 10:35 UTC by Karolin Seeger
Modified: 2013-05-30 10:33 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch written by obnox (1.10 KB, patch)
2013-05-28 10:35 UTC, Karolin Seeger
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2013-05-28 10:35:55 UTC
Created attachment 8925 [details]
Proposed patch written by obnox

On some systems (e.g. Debian wheezy), the python shebang is broken in samba_dnsupdate, samba_spnupdate etc.

A new line is missing:

usr/bin/python2.7# vim: expandtab

That means, the scripts are broken.
Comment 1 Karolin Seeger 2013-05-28 10:37:13 UTC
I am currently testing the patch and will give feedback tomorrow.
Comment 2 Karolin Seeger 2013-05-29 08:32:11 UTC
(In reply to comment #1)
> I am currently testing the patch and will give feedback tomorrow.

Patch fixes the issue.
Comment 3 Karolin Seeger 2013-05-29 09:50:44 UTC
Waiting for the patch to appear in master.
Comment 4 Karolin Seeger 2013-05-30 07:48:43 UTC
3f24d694e7e2190d30a17bc13a79a36b49711531 in master
Comment 5 Karolin Seeger 2013-05-30 07:49:02 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-05-30 10:33:04 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!